Create Chart
curl --request POST \
--url https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"graph_type": "column",
"config": {},
"position": 0,
"dashboard": "call"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts"
payload = {
"name": "<string>",
"graph_type": "column",
"config": {},
"position": 0,
"dashboard": "call"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
graph_type: 'column',
config: {},
position: 0,
dashboard: 'call'
})
};
fetch('https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'graph_type' => 'column',
'config' => [
],
'position' => 0,
'dashboard' => 'call'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"graph_type\": \"column\",\n \"config\": {},\n \"position\": 0,\n \"dashboard\": \"call\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"graph_type\": \"column\",\n \"config\": {},\n \"position\": 0,\n \"dashboard\": \"call\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"graph_type\": \"column\",\n \"config\": {},\n \"position\": 0,\n \"dashboard\": \"call\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"chart_uuid": "<string>",
"name": "<string>",
"graph_type": "<string>",
"config": {},
"position": 123,
"dashboard": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Create Chart
POST
/
api
/
v1
/
organizations
/
reports
/
analytics
/
charts
Create Chart
curl --request POST \
--url https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"graph_type": "column",
"config": {},
"position": 0,
"dashboard": "call"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts"
payload = {
"name": "<string>",
"graph_type": "column",
"config": {},
"position": 0,
"dashboard": "call"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
graph_type: 'column',
config: {},
position: 0,
dashboard: 'call'
})
};
fetch('https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'graph_type' => 'column',
'config' => [
],
'position' => 0,
'dashboard' => 'call'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"graph_type\": \"column\",\n \"config\": {},\n \"position\": 0,\n \"dashboard\": \"call\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"graph_type\": \"column\",\n \"config\": {},\n \"position\": 0,\n \"dashboard\": \"call\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/organizations/reports/analytics/charts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"graph_type\": \"column\",\n \"config\": {},\n \"position\": 0,\n \"dashboard\": \"call\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"chart_uuid": "<string>",
"name": "<string>",
"graph_type": "<string>",
"config": {},
"position": 123,
"dashboard": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json

